package cn.com.poc.agent_application.dto;	


public class BizAgentApplicationPluginDto {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** classification
    *插件类型
    */ 
    private java.lang.String classification;

    public java.lang.String getClassification(){
        return this.classification;
    }
    
    public void setClassification(java.lang.String classification){
        this.classification = classification;
    }
	/** plugin_id
    *插件主键
    */ 
    private java.lang.String pluginId;

    public java.lang.String getPluginId(){
        return this.pluginId;
    }
    
    public void setPluginId(java.lang.String pluginId){
        this.pluginId = pluginId;
    }
	/** zh_cn_title
    *插件标题（简体）
    */ 
    private java.lang.String zhCnTitle;

    public java.lang.String getZhCnTitle(){
        return this.zhCnTitle;
    }
    
    public void setZhCnTitle(java.lang.String zhCnTitle){
        this.zhCnTitle = zhCnTitle;
    }
	/** zh_tw_title
    *繁体
    */ 
    private java.lang.String zhTwTitle;

    public java.lang.String getZhTwTitle(){
        return this.zhTwTitle;
    }
    
    public void setZhTwTitle(java.lang.String zhTwTitle){
        this.zhTwTitle = zhTwTitle;
    }
	/** en_title
    *英文
    */ 
    private java.lang.String enTitle;

    public java.lang.String getEnTitle(){
        return this.enTitle;
    }
    
    public void setEnTitle(java.lang.String enTitle){
        this.enTitle = enTitle;
    }
	/** zh_cn_desc
    *插件描述(简体）
    */ 
    private java.lang.String zhCnDesc;

    public java.lang.String getZhCnDesc(){
        return this.zhCnDesc;
    }
    
    public void setZhCnDesc(java.lang.String zhCnDesc){
        this.zhCnDesc = zhCnDesc;
    }
	/** zh_tw_desc
    *插件描述（繁体）
    */ 
    private java.lang.String zhTwDesc;

    public java.lang.String getZhTwDesc(){
        return this.zhTwDesc;
    }
    
    public void setZhTwDesc(java.lang.String zhTwDesc){
        this.zhTwDesc = zhTwDesc;
    }
	/** en_desc
    *插件描述（英文）
    */ 
    private java.lang.String enDesc;

    public java.lang.String getEnDesc(){
        return this.enDesc;
    }
    
    public void setEnDesc(java.lang.String enDesc){
        this.enDesc = enDesc;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}